# OpenLayers.Events.featureclick

Extension event type for handling feature click events, including overlapping features.

#### Event types provided by this extension

- featureclick

Summary

OpenLayers.Events.featureclick | Extension event type for handling feature click events, including overlapping features.
Properties |
cache | {Object} A cache of features under the mouse.
map | {OpenLayers.Map} The map to register browser events on.
provides | {Array(String)} The event types provided by this extension.
Constructor |
OpenLayers.Events.featureclick | Create a new featureclick event type.
Functions |
setMap |
start | Sets startEvt = evt.
cancel | Deletes the start event.
onClick | Listener for the click event.
onMousemove | Listener for the mousemove event.
triggerEvent | Determines where to trigger the event and triggers it.
getFeatures | Get all features at the given screen location.
destroy | Clean up.
OpenLayers.Events.nofeatureclick | Extension event type for handling click events that do not hit a feature.
OpenLayers.Events.featureover | Extension event type for handling hovering over a feature.
OpenLayers.Events.featureout | Extension event type for handling leaving a feature.

### Properties

### cache

{Object} A cache of features under the mouse.

### map

{OpenLayers.Map} The map to register browser events on.

### provides

{Array(String)} The event types provided by this extension.

### Constructor

### OpenLayers.Events.featureclick

Create a new featureclick event type.

#### Parameters

target | {OpenLayers.Events} The events instance to create the events for.

### Functions

### setMap

> setMap: function( | map | )

#### Parameters

map | {OpenLayers.Map} The map to register browser events on.

### start

> start: function( | evt | )

Sets startEvt = evt.

#### Parameters

evt | {OpenLayers.Event}

### cancel

> cancel: function( | evt | )

Deletes the start event.

#### Parameters

evt | {OpenLayers.Event}

### onClick

> onClick: function( | evt | )

Listener for the click event.

#### Parameters

evt | {OpenLayers.Event}

### onMousemove

> onMousemove: function( | evt | )

Listener for the mousemove event.

#### Parameters

evt | {OpenLayers.Event}

### triggerEvent

> triggerEvent: function( | type,
> | evt | )

Determines where to trigger the event and triggers it.

#### Parameters

type | {String} The event type to trigger
evt | {Object} The listener argument

#### Returns

{Boolean} The last listener return.

### getFeatures

> getFeatures: function( | evt | )

Get all features at the given screen location.

#### Parameters

evt | {Object} Event object.

#### Returns

{Array(OpenLayers.Feature.Vector)} List of features at the given point.

### destroy

> destroy: function()

Clean up.

## OpenLayers.Events.nofeatureclick

Extension event type for handling click events that do not hit a feature.

#### Event types provided by this extension

- nofeatureclick

## OpenLayers.Events.featureover

Extension event type for handling hovering over a feature.

#### Event types provided by this extension

- featureover

## OpenLayers.Events.featureout

Extension event type for handling leaving a feature.

#### Event types provided by this extension

- featureout

Instances of OpenLayers.Map are interactive maps embedded in a web page.

> setMap: function( | map | )

> start: function( | evt | )

Sets startEvt = evt.

> cancel: function( | evt | )

Deletes the start event.

> onClick: function( | evt | )

Listener for the click event.

> onMousemove: function( | evt | )

Listener for the mousemove event.

> triggerEvent: function( | type,
> | evt | )

Determines where to trigger the event and triggers it.

> getFeatures: function( | evt | )

Get all features at the given screen location.

> destroy: function()

Clean up.
Utility functions for event handling.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close